.App {
  text-align: center;
}

.App-logo {
  height: 40vmin;
  pointer-events: none;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.App-link {
  color: #61dafb;
}

.main {
  margin-top: 70px;
}

body {
  overflow-x: hidden;
  background-color: #eaeff1 !important;
}

.app {
  overflow-x: hidden;
}

.main-toolbar,
.secondary-nav-grid-item {
  width: 100%;
  max-width: 1200px;
  margin: auto;
}

.MuiTypography-root {
  word-break: break-word !important;
}

.values-dev-box {
  display: flex;
  border: 2px dashed red;
  padding: 12px;
  margin-top: 20px;
  overflow-x: scroll;
}

@media screen and (max-width: 768px) {
  .values-dev-box {
    display: block;
  }
}

main {
  padding: 24px;
}

.aria {
  padding: 24px;
  max-width: 1200px;
}

.scenario {
  padding: 24px;
  max-width: 900px;
  margin: auto;
  background-color: #005cb2;
  color: white;
  margin-bottom: 24px;
}

.wip-badge {
  background: #f44336;
  color: white;
  padding: 5px 15px;
  border-radius: 20px;
}

.aria-show {
  margin-bottom: 20px;
}

.aria-steplabel,
.aria-steplabel .MuiStepLabel-root {
  cursor: pointer !important;
}

.comment {
  color: #f44336;
  margin-top: 12px !important;
  display: block;
  border: 2px dashed #f44336;
}

.MuiTypography-body2,
.MuiTypography-overline {
  font-weight: bold !important;
}

.red-button {
  border-color: #ba000d !important;
  color: #ba000d !important;
}

.aria-shortrangeinteractions-single {
  padding: 12px;
  border: 2px solid #3f51b5bb;
  border-radius: 8px;
}

.aria-shortrangeinteractions-single .MuiGrid-item {
  margin: 4px;
}

.aria-breaks-single .MuiGrid-item {
  margin: 4px;
}

.aria-window-opening-single .MuiGrid-item {
  margin: 4px;
}

.who-logo {
  font-size: 32px !important;
  font-weight: bold !important;
  cursor: pointer;
}

.footer {
  max-width: 1200px;
  margin: auto;
  text-align: center;
  margin-top: 24px;
  margin-bottom: 20px;
}

.inhalation-image {
  max-width: 100%;
  margin: auto;
  display: block;
}

@keyframes blinking {
  0% {
    background-color: #06c3d1;
    border: 3px solid #666;
  }
  100% {
    background-color: #270da6;
    border: 3px solid #666;
  }
}

@keyframes blink {
  50% {
    opacity: 0;
  }
}

.blink {
  opacity: 0.9;
  animation: blink 2s linear 0s infinite;
}

.inhalation-nav {
  position: relative;
  background-repeat: no-repeat;
  background-size: contain;
}

.inhanav-absolute {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.inha-description {
  margin-bottom: 20px;
}

.form-additional-image {
  margin: 20px;
  max-width: 300px;
}

.form-additional-image-full {
  max-width: 100%;
}

.form-additional-image-minibus {
  margin-top: 0px;
}

.aria-grid-left {
  padding: 16px;
}

.aria-grid-right {
  padding: 16px;
  border-left: 4px dotted #3f51b5bb;
}

.aria-hierarchy {
  margin-top: 24px;
  margin-bottom: 24px;
}

.aria-single-recommendation {
}

.app {
  flex: 1;
  display: flex;
  flex-direction: column;
}

main {
  flex: 1;
  padding: 24px;
  padding-bottom: 0;
}

.paper {
  max-width: 1200px;
  margin: auto;
  padding: 24px;
}

.paper-home {
  padding: 0px;
}

.contentWrapper {
  margin: 16px;
}

.contentWrapperHome {
  padding: 8px;
}

.aria-form-additional-image-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-top: 20px;
}

.aria-form-place-side-image {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100%;
}

.recommendation-icon-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.risk-meter {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 24px;
}

.aria-output-title {
  text-align: center;
}

.aria-output-divider {
  background-color: white !important;
  margin-top: 20px !important;
  margin-bottom: 20px !important;
}

.aria-single-recommendation-paper {
  padding: 20px;
  margin-bottom: 32px;
  opacity: 0.3;
  cursor: pointer;
  transition: opacity 0.3s linear !important;
}

.aria-single-recommendation-paper:hover,
.aria-single-recommendation-paper:active,
.aria-single-recommendation-paper:focus {
  opacity: 1;
}

.inhanav-zoom {
  width: 250px !important;
  height: 100%;
  position: absolute;
}

.inhanav-circle-context-geographical-location-and-date-1 {
  top: 15%;
  left: 80%;
}

.inhanav-circle-event-details-1 {
  top: -10%;
  left: 75%;
}

.inhanav-circle-event-details-2 {
  top: 40%;
  left: 70%;
}

.inhanav-circle-context-temperature-humidity-1 {
  top: 25%;
  left: 80%;
}

.inhanav-circle-space-dimension-1 {
  top: 5%;
  left: 70%;
}

.inhanav-circle-mask-yes-no-1 {
  top: 0%;
  left: 70%;
}

.inhanav-circle-mask-yes-no-2 {
  top: 50%;
  left: 80%;
}

.inhanav-circle-short-range-interactions-yes-no-1 {
  top: 0%;
  left: 80%;
}

.inhanav-circle-occupancy-1 {
  top: 10%;
  left: 70%;
}

.inhanav-circle-duration-1 {
  top: 5%;
  left: 70%;
}

.inhanav-circle-duration-2 {
  top: 50%;
  left: 80%;
}

.inhanav-circle-ventilation-mechanical-1 {
  top: 0%;
  left: 65%;
}

.inhanav-circle-air-filtration-yes-no-1 {
  top: 0%;
  left: 70%;
}

.inhanav-circle-host-immunity-1 {
  top: 55%;
  left: 75%;
}

.inhanav-circle-id-output-1-1 {
  top: 0%;
  left: -30%;
}

.inhanav-circle-id-output-1-2 {
  top: 50%;
  left: -50%;
}

.inhanav-zoom-img {
  position: absolute;
  top: 0;
  left: 0;
}

.inhanav-circle-id-output-2 {
  width: 200px !important;
  top: 20%;
  left: 50%;
}

.inhanav-circle-id-output-3 {
  top: 30%;
  left: -30%;
}

.minibus-image {
  display: flex;
  justify-content: center;
  align-items: center;
}

@media screen and (max-width: 899px) {
  .aria-grid-right {
    border-left: none;
  }
  .output-inhalation-nav {
    display: none;
  }
  .aria-single-recommendation-paper {
    opacity: 1;
  }
}

@media screen and (max-width: 768px) {
  .inhanav-zoom {
    display: none;
  }
  .paper {
    overflow: hidden;
  }
  .minibus-image {
    display: none;
  }
}

.header-home {
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  height: 240px;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  opacity: 0.8;
}

.inhalation-img-circle-output {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

#aria_exposed_people_plot {
  margin-top: 24px !important;
  margin-left: auto;
  margin-right: auto;
  border: 6px solid #3f51b5;
  border-radius: 20px;
}

.aria_exposed_people_plot-legend {
  margin-top: 16px;
}

.aria_exposed_people_plot-legend .single-legend-item {
  margin-right: 8px;
  border: 1px solid #3f51b555;
}

.legend-infected .MuiSvgIcon-root {
  fill: #e91e63;
}

.legend-expected .MuiSvgIcon-root {
  fill: #ff9800;
}

.legend-other .MuiSvgIcon-root {
  fill: #4caf50;
}

.aria-output-meters {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 16px;
}

.aria-form-additional-actions-paper {
  padding: 16px;
  margin-top: 24px;
}

.aria-form-options-paper {
  padding: 16px;
  margin-top: 24px;
}

.aria-form-errors-list {
  padding: 16px;
  margin-top: 24px;
}

.aria-form-errors-list-title {
  margin-bottom: 12px;
}

.secondary-nav-grid-item .MuiGrid-root.MuiGrid-item {
  padding: 4px;
}

.footer {
  padding: 12px;
  width: 100%;
  max-width: 1200px;
  margin: 0 auto;
}

.footer .footer-content {
  position: relative;
}

.footer .footer-content .aria-techne-logo {
  position: absolute;
  left: 0;
  top: 0;
}

.footer .footer-content .aria-cern-logo {
  position: absolute;
  right: 0;
  top: 0;
}

@media screen and (max-width: 768px) {
  .footer .footer-content .aria-cern-logo,
  .footer .footer-content .aria-techne-logo {
    display: block;
    position: relative;
  }
}

.aria-time-picker {
  margin-right: 12px !important;
  margin-bottom: 8px !important;
}

.aria-loading-dialog {
  padding: 24px;
}

.aria-loading-dialog-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 40px 48px !important;
}

.aria-circularprogress {
  margin-bottom: 16px;
}

.aria-circularprogress-text {
  color: #3f51b5;
  font-weight: bold !important;
}

.aria-loading-dialog-actions {
  justify-content: center !important;
}

.aria-date-picker {
  margin-top: 20px !important;
}

.concentration-plot-additional-actions,
.concentration-plot-export {
  text-align: center;
  margin-top: 12px;
}

@media screen and (max-width: 359px) {
  .grid-who-logo,
  .grid-who-logo-image {
    width: 100% !important;
    text-align: center;
  }
  .grid-who-logo {
    padding-top: 0px !important;
  }
}

.MuiInputBase-root.Mui-disabled {
  background: rgba(0, 0, 0, 0.09);
}

.alternative-viral-load-head th {
  color: white;
  background: #3f51b5;
  font-size: 16px;
}

.aria-alternative-viral-load {
  margin-top: 20px;
  margin-bottom: 36px;
}

#alternative_viral_load_plot {
  display: flex;
  justify-content: center;
  align-items: center;
}

#alternative_viral_load_plot > svg {
  max-width: 100%;
}

.window-type-image-single-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.window-type-image-single {
  margin: auto;
}

.alternative_viral_load_plot-text {
  max-width: 440px;
  margin: auto !important;
  font-weight: normal !important;
}

.who-disclaimer-list-item-text .MuiListItemText-primary {
  font-weight: 400 !important;
}

.wp3-tabs {
  max-width: 1200px;
  margin: auto !important;
}

.nav-link.subitem {
}

.nav-link-text-title .MuiTypography-root {
  font-size: 16px !important;
}

.accordion-summary {
  color: #333;
  background-color: #f5f5f5;
  border-color: #ddd;
  width: 100%;

  & > p {
    font-size: 22px;
  }
}

pre {
  background: #fffde7;
  padding: 18px;
  border-radius: 6px;
}

.field .field {
  padding-left: 12px;
  border-left: 1px dashed rgba(0, 0, 0, 0.12);
}

.login {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 1px solid darken(#ffffff, 25%);
  border-radius: 5px;
  background-color: #ffffff;
}

.submit {
  margin-bottom: 5%;
}

/* $caimira-darkblue: #0053a8;
$caimira-lightblue: #389FFF;
$caimira-darkred: #6C101B;
$caimira-lightred: #BF1A2A;
$caimira-white: #FFFFFF;
$caimira-black: #000000;

$background-light: $caimira-white;
$background-light-border: darken($caimira-white, 25%);
$background-accent: $caimira-darkblue;
$background-accent-border: darken($caimira-darkblue, 5%);
$background-accent-text: $caimira-white; */
.history_list {
  table {
    border-collapse: collapse;
    width: 100%;

    th,
    td {
      border: 1px solid #bfbfbf;
      padding: 8px;
      text-align: left;
    }

    th {
      background-color: #3f51b5;
      color: #ffffff;
      position: sticky;
      top: 0;
      z-index: 2;
    }

    tbody tr:nth-child(even) {
      background-color: #f9f9f9;
    }

    tbody tr:hover {
      background-color: #e5e5e5;
    }

    .diff:hover {
      background-color: #ffffff;
    }

    td:nth-child(1),
    td:nth-child(2),
    td:nth-child(3) {
      width: 20%;
    }

    td:nth-child(2) {
      width: 30%;
    }

    .difference_viewer {
      position: relative;
      z-index: 1;
    }

    /* .ant-switch-inner-checked {
      background-color: #3f51b5;
    } */
  }
}

.difference_viewer {
  table {
    border-collapse: collapse;
    width: 100%;

    th,
    td {
      border: 1px solid #2f3d88;
      padding: 8px;
      text-align: left;
    }

    th {
      background-color: #6b7acb;
      color: #ffffff;
    }

    tbody tr:nth-child(even) {
      background-color: #f9f9f9;
    }

    tbody tr:hover {
      background-color: #e5e5e5;
    }

    td:nth-child(1),
    td:nth-child(2),
    td:nth-child(3) {
      width: 20%;
    }

    td:nth-child(1) {
      width: 5%;
    }

    td.added {
      background-color: #d4edda; /* Green for + rows */
    }

    td.removed {
      background-color: #f8d7da; /* Red for - rows */
    }
  }

  tbody td {
    padding-left: 15px;
  }
}

.data {
  text-align: left;
  width: 100%;
  font-size: large;
}

.data textarea {
  width: 99%;
  height: 70vh;
}

.admin-dashboard-pre {
  text-wrap: pretty;
}

.pdf-diagram {
  margin-top: 12px;
  margin-bottom: 12px;
}

.admin-dashboard-accordion .MuiFormControl-root [id$="__title"] {
  display: none;
}

.admin-dashboard-accordion .MuiAccordionDetails-root {
  padding-top: 0px;
}

.admin-dashboard-custom-key {
  margin-bottom: 12px;
}
